Name:		blueberry
Version:	1.1.9
Release:	2%{?dist}
Summary:	Bluetooth configuration tool

License:	GPLv3+
URL:		https://github.com/linuxmint/%{name}
Source0:	%{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

# Adds COPYING from open pull-request.
Patch0:		%{url}/pull/27.patch#/%{name}-1.1.9_license.patch

BuildArch:	noarch

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	python2-devel

Requires:	filesystem
Requires:	gnome-bluetooth
Requires:	hicolor-icon-theme
Requires:	rfkill
Requires:	wmctrl

%description
%{summary} depending on gnome-bluetooth.


%prep
%autosetup -p1

# Fix shebangs to system Python2.x
for file in .%{_bindir}/* $(%{_bindir}/find .%{_prefix} -name '*.py' -type f)
do
	%{__sed} -i.orig						\
	-e 's~#![ \t]*%{_bindir}/python~#!%{__python2}~'\
	-e 's~#![ \t]*%{_bindir}/env[ \t]*python[2]*~#!%{__python2}~'	\
	 ${file}
	/bin/touch -r ${file}.orig ${file}
	%{__rm} -f ${file}.orig
done


%build
%make_build


%install
%{__mkdir} -p %{buildroot}
%{__cp} -a .%{_prefix} .%{_sysconfdir} %{buildroot}
%{__grep} -RZl '#!%{__python2}' %{buildroot}%{_prefix}/lib/%{name}/* |	\
	%{_bindir}/xargs -0 %{__chmod} -c 0755
for file in $(%{_bindir}/find %{buildroot} -name '*.desktop' -type f)
do
	%{_bindir}/desktop-file-validate ${file}
done
%find_lang %{name}


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
	/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor	\
		&>/dev/null || :
fi
%if (0%{?fedora} && 0%{?fedora} <= 23) || (0%{?rhel} && 0%{?rhel} <= 7)
if [ $1 -eq 0 ] ; then
	%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas	\
		&> /dev/null || :
fi
%endif # (0#{?fedora} && 0#{?fedora} <= 23) || (0#{?rhel} && 0#{?rhel} <= 7)


%posttrans
%{_bindir}/gtk-update-icon-cache %{_datadir}/icons/hicolor		\
	&>/dev/null || :
%if (0%{?fedora} && 0%{?fedora} <= 23) || (0%{?rhel} && 0%{?rhel} <= 7)
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas		\
	&> /dev/null || :
%endif # (0#{?fedora} && 0#{?fedora} <= 23) || (0#{?rhel} && 0#{?rhel} <= 7)


%files -f %{name}.lang
%license debian/copyright COPYING
%doc debian/changelog
# Desktop-file for xdg/autostart.
%config %{_sysconfdir}/xdg/autostart/%{name}-tray.desktop
%{_bindir}/%{name}*
%{_datadir}/icons/hicolor/*/status/%{name}*.png
%{_datadir}/icons/hicolor/*/status/%{name}*.svg
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.%{name}.gschema.xml
%{_prefix}/lib/%{name}


%changelog
* Fri Jan 06 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.9-2
- Fix %%files for el <= 7

* Thu Jan 05 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.9-1
- Initial rpm-release (rhbz#1409404)

* Sun Jan 01 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.9-0.3
- Added scriptlets for Fedora <= 23 and RHEL <= 7

* Sun Jan 01 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.9-0.2
- Updated Patch0

* Sun Jan 01 2017 Björn Esser <besser82@fedoraproject.org> - 1.1.9-0.1
- Initial package (rhbz#1409404)
